/*
 * ALSA SoC OMAP ABE driver
*
 * Author:          Laurent Le Faucheur <l-le-faucheur@ti.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */
#ifndef _ABE_INITXXX_LABELS_H_
#define _ABE_INITXXX_LABELS_H_
#define Dummy_Regs_labelID                                  0
#define Dummy_AM_labelID                                    1
#define Voice_8k_UL_labelID                                 2
#define Voice_8k_DL_labelID                                 3
#define ECHO_REF_8K_labelID                                 4
#define Voice_16k_UL_labelID                                5
#define Voice_16k_DL_labelID                                6
#define ECHO_REF_16K_labelID                                7
#define MM_DL_labelID                                       8
#define IO_VX_DL_ASRC_labelID                               9
#define IO_MM_EXT_IN_ASRC_labelID                           10
#define IO_VIBRA_DL_labelID                                 11
#define ZERO_labelID                                        12
#define GTarget_labelID                                     13
#define GCurrent_labelID                                    14
#define Gr_1_labelID                                        15
#define Gr_2_labelID                                        16
#define Gr_Regs_labelID                                     17
#define DMIC0_Gain_labelID                                  18
#define DMIC1_Gain_labelID                                  19
#define DMIC2_Gain_labelID                                  20
#define DMIC3_Gain_labelID                                  21
#define AMIC_Gain_labelID                                   22
#define MIXDL1_Gain_labelID                                 23
#define MIXDL2_Gain_labelID                                 24
#define DEFAULT_Gain_labelID                                25
#define DL1_M_G_Tones_labelID                               26
#define DL2_M_G_Tones_labelID                               27
#define Echo_M_G_labelID                                    28
#define SDT_M_G_labelID                                     29
#define VXREC_M_G_VX_DL_labelID                             30
#define UL_M_G_VX_DL_labelID                                31
#define DL1_M_labelID                                       32
#define DL2_M_labelID                                       33
#define MM_UL2_labelID                                      34
#define VX_DL_labelID                                       35
#define Tones_labelID                                       36
#define DL_M_MM_UL2_VX_DL_labelID                           37
#define Echo_M_labelID                                      38
#define VX_UL_labelID                                       39
#define VX_UL_M_labelID                                     40
#define SDT_F_labelID                                       41
#define SDT_F_data_labelID                                  42
#define SDT_Coef_labelID                                    43
#define SDT_Regs_labelID                                    44
#define SDT_M_labelID                                       45
#define DL1_EQ_labelID                                      46
#define DL2_EQ_labelID                                      47
#define DL1_GAIN_out_labelID                                48
#define DL2_GAIN_out_labelID                                49
#define DMIC1_labelID                                       50
#define DMIC1_L_labelID                                     51
#define DMIC1_R_labelID                                     52
#define DMIC2_labelID                                       53
#define DMIC2_L_labelID                                     54
#define DMIC2_R_labelID                                     55
#define DMIC3_labelID                                       56
#define DMIC3_L_labelID                                     57
#define DMIC3_R_labelID                                     58
#define MIC4_labelID                                        59
#define MIC4_L_labelID                                      60
#define MIC4_R_labelID                                      61
#define BT_UL_L_labelID                                     62
#define BT_UL_R_labelID                                     63
#define AMIC_labelID                                        64
#define AMIC_L_labelID                                      65
#define AMIC_R_labelID                                      66
#define EchoRef_L_labelID                                   67
#define EchoRef_R_labelID                                   68
#define MM_DL_L_labelID                                     69
#define MM_DL_R_labelID                                     70
#define MM_UL_labelID                                       71
#define AMIC_96_labelID                                     72
#define DMIC0_96_labelID                                    73
#define DMIC1_96_labelID                                    74
#define DMIC2_96_labelID                                    75
#define UL_MIC_48K_labelID                                  76
#define EQ_DL_48K_labelID                                   77
#define EQ_48K_labelID                                      78
#define McPDM_Out1_labelID                                  79
#define McPDM_Out2_labelID                                  80
#define McPDM_Out3_labelID                                  81
#define VX_UL_MUX_labelID                                   82
#define MM_UL2_MUX_labelID                                  83
#define MM_UL_MUX_labelID                                   84
#define XinASRC_DL_VX_labelID                               85
#define ASRC_DL_VX_Coefs_labelID                            86
#define ASRC_DL_VX_Alpha_labelID                            87
#define ASRC_DL_VX_VarsBeta_labelID                         88
#define ASRC_DL_VX_8k_Regs_labelID                          89
#define XinASRC_UL_VX_labelID                               90
#define ASRC_UL_VX_Coefs_labelID                            91
#define ASRC_UL_VX_Alpha_labelID                            92
#define ASRC_UL_VX_VarsBeta_labelID                         93
#define ASRC_UL_VX_8k_Regs_labelID                          94
#define UL_48_8_DEC_labelID                                 95
#define ASRC_DL_VX_16k_Regs_labelID                         96
#define ASRC_UL_VX_16k_Regs_labelID                         97
#define UL_48_16_DEC_labelID                                98
#define XinASRC_MM_EXT_IN_labelID                           99
#define ASRC_MM_EXT_IN_Coefs_labelID                        100
#define ASRC_MM_EXT_IN_Alpha_labelID                        101
#define ASRC_MM_EXT_IN_VarsBeta_labelID                     102
#define ASRC_MM_EXT_IN_Regs_labelID                         103
#define VX_REC_labelID                                      104
#define VXREC_UL_M_Tones_VX_UL_labelID                      105
#define VX_REC_L_labelID                                    106
#define VX_REC_R_labelID                                    107
#define DL2_M_L_labelID                                     108
#define DL2_M_R_labelID                                     109
#define DL1_M_data_labelID                                  110
#define DL1_M_Coefs_labelID                                 111
#define DL2_M_LR_data_labelID                               112
#define DL2_M_LR_Coefs_labelID                              113
#define SRC_6_LP_COEFS_labelID                              114
#define SRC_6_LP_GAIN_COEFS_labelID                         115
#define SRC_6_HP_COEFS_labelID                              116
#define SRC_3_LP_COEFS_labelID                              117
#define SRC_3_LP_GAIN_COEFS_labelID                         118
#define SRC_3_HP_COEFS_labelID                              119
#define VX_DL_8_48_LP_DATA_labelID                          120
#define VX_DL_8_48_HP_DATA_labelID                          121
#define VX_DL_16_48_LP_DATA_labelID                         122
#define VX_DL_16_48_HP_DATA_labelID                         123
#define VX_UL_48_8_LP_DATA_labelID                          124
#define VX_UL_48_8_HP_DATA_labelID                          125
#define VX_UL_48_16_LP_DATA_labelID                         126
#define VX_UL_48_16_HP_DATA_labelID                         127
#define BT_UL_8_48_LP_DATA_labelID                          128
#define BT_UL_8_48_HP_DATA_labelID                          129
#define BT_UL_16_48_LP_DATA_labelID                         130
#define BT_UL_16_48_HP_DATA_labelID                         131
#define BT_DL_48_8_LP_DATA_labelID                          132
#define BT_DL_48_8_HP_DATA_labelID                          133
#define BT_DL_48_16_LP_DATA_labelID                         134
#define BT_DL_48_16_HP_DATA_labelID                         135
#define ECHO_REF_48_16_LP_DATA_labelID                      136
#define ECHO_REF_48_16_HP_DATA_labelID                      137
#define ECHO_REF_48_8_LP_DATA_labelID                       138
#define ECHO_REF_48_8_HP_DATA_labelID                       139
#define ECHO_REF_DEC_labelID                                140
#define VX_UL_8_TEMP_labelID                                141
#define VX_UL_16_TEMP_labelID                               142
#define UP_DOWN_8_48_labelID                                143
#define UP_DOWN_16_48_labelID                               144
#define SRC_6_LP_48k_labelID                                145
#define SRC_6_HP_labelID                                    146
#define SRC_3_LP_48k_labelID                                147
#define SRC_3_HP_labelID                                    148
#define EARP_48_96_LP_DATA_labelID                          149
#define SRC_48_96_LP_labelID                                150
#define IHF_48_96_LP_DATA_labelID                           151
#define EQ_VX_UL_16K_labelID                                152
#define pAPS_iir1_p23_labelID                               153
#define pAPS_iir1_p45_labelID                               154
#define APS_IIR_Regs_labelID                                155
#define pAPS_core_DL1_p1_labelID                            156
#define pAPS_core_DL1_p23_labelID                           157
#define pAPS_core_DL1_p45_labelID                           158
#define pAPS_core_DL1_r_labelID                             159
#define pAPS_DL2L_core_r_labelID                            160
#define pAPS_DL2R_core_r_labelID                            161
#define pAPS_COIL_core_DL1_p1_labelID                       162
#define pAPS_COIL_core_DL1_p23_labelID                      163
#define pAPS_COIL_core_DL1_p45_labelID                      164
#define pAPS_COIL_core_DL1_r_labelID                        165
#define DL2_L_APS_IIR_p23_labelID                           166
#define DL2_R_APS_IIR_p23_labelID                           167
#define DL2_L_APS_IIR_p45_labelID                           168
#define DL2_R_APS_IIR_p45_labelID                           169
#define DL2_L_APS_CORE_p1_labelID                           170
#define DL2_L_APS_CORE_p23_labelID                          171
#define DL2_L_APS_CORE_p45_labelID                          172
#define DL2_R_APS_CORE_p1_labelID                           173
#define DL2_R_APS_CORE_p23_labelID                          174
#define DL2_R_APS_CORE_p45_labelID                          175
#define DL2_L_APS_COIL_CORE_p1_labelID                      176
#define DL2_L_APS_COIL_CORE_p23_labelID                     177
#define DL2_L_APS_COIL_CORE_p45_labelID                     178
#define pAPS_COIL_DL2L_core_r_labelID                       179
#define DL2_R_APS_COIL_CORE_p1_labelID                      180
#define DL2_R_APS_COIL_CORE_p23_labelID                     181
#define DL2_R_APS_COIL_CORE_p45_labelID                     182
#define pAPS_COIL_DL2R_core_r_labelID                       183
#define DL1_APS_labelID                                     184
#define DL2_L_APS_labelID                                   185
#define DL2_R_APS_labelID                                   186
#define DL1_APS_EQ_p23_labelID                              187
#define DL1_APS_EQ_p45_labelID                              188
#define DL2_APS_EQ_p23_labelID                              189
#define DL2_APS_EQ_p45_labelID                              190
#define pVIBRA1_p0_labelID                                  191
#define pVIBRA1_p1_labelID                                  192
#define pVIBRA1_p23_labelID                                 193
#define pVIBRA1_p45_labelID                                 194
#define pVibra1_pR1_labelID                                 195
#define pVibra1_pR2_labelID                                 196
#define pVibra1_pR3_labelID                                 197
#define pVIBRA1_r_labelID                                   198
#define pVIBRA2_p0_labelID                                  199
#define pVIBRA2_p1_labelID                                  200
#define pVIBRA2_p23_labelID                                 201
#define pVIBRA2_p45_labelID                                 202
#define pCtrl_p67_labelID                                   203
#define pVIBRA2_r_labelID                                   204
#define VIBRA_labelID                                       205
#define PING_labelID                                        206
#define PING_Regs_labelID                                   207
#define UP_48_96_LP_COEFS_labelID                           208
#define AMIC_96_48_data_labelID                             209
#define DOWN_96_48_AMIC_Coefs_labelID                       210
#define DOWN_96_48_DMIC_Coefs_labelID                       211
#define DOWN_96_48_AMIC_Regs_labelID                        212
#define DOWN_96_48_DMIC_Regs_labelID                        213
#define DMIC0_96_48_data_labelID                            214
#define DMIC1_96_48_data_labelID                            215
#define DMIC2_96_48_data_labelID                            216
#define SIO_DMIC_labelID                                    217
#define SIO_PDM_UL_labelID                                  218
#define SIO_BT_VX_UL_labelID                                219
#define SIO_MM_UL_labelID                                   220
#define SIO_MM_UL2_labelID                                  221
#define SIO_VX_UL_labelID                                   222
#define SIO_MM_DL_labelID                                   223
#define SIO_VX_DL_labelID                                   224
#define SIO_TONES_DL_labelID                                225
#define SIO_VIB_DL_labelID                                  226
#define SIO_BT_VX_DL_labelID                                227
#define SIO_PDM_DL_labelID                                  228
#define SIO_MM_EXT_OUT_labelID                              229
#define SIO_MM_EXT_IN_labelID                               230
#define SIO_TDM_OUT_labelID                                 231
#define SIO_TDM_IN_labelID                                  232
#define DMIC_ATC_PTR_labelID                                233
#define MCPDM_UL_ATC_PTR_labelID                            234
#define BT_VX_UL_ATC_PTR_labelID                            235
#define MM_UL_ATC_PTR_labelID                               236
#define MM_UL2_ATC_PTR_labelID                              237
#define VX_UL_ATC_PTR_labelID                               238
#define MM_DL_ATC_PTR_labelID                               239
#define VX_DL_ATC_PTR_labelID                               240
#define TONES_DL_ATC_PTR_labelID                            241
#define VIB_DL_ATC_PTR_labelID                              242
#define BT_VX_DL_ATC_PTR_labelID                            243
#define PDM_DL_ATC_PTR_labelID                              244
#define MM_EXT_OUT_ATC_PTR_labelID                          245
#define MM_EXT_IN_ATC_PTR_labelID                           246
#define TDM_OUT_ATC_PTR_labelID                             247
#define TDM_IN_ATC_PTR_labelID                              248
#define MCU_IRQ_FIFO_ptr_labelID                            249
#define DEBUG_IRQ_FIFO_reg_labelID                          250
#define UP_DOWN_48_96_labelID                               251
#define OSR96_2_labelID                                     252
#define DEBUG_GAINS_labelID                                 253
#define DBG_8K_PATTERN_labelID                              254
#define DBG_16K_PATTERN_labelID                             255
#define DBG_24K_PATTERN_labelID                             256
#define DBG_48K_PATTERN_labelID                             257
#define DBG_96K_PATTERN_labelID                             258
#define UL_VX_UL_48_8K_labelID                              259
#define UL_VX_UL_48_16K_labelID                             260
#define BT_DL_labelID                                       261
#define BT_UL_labelID                                       262
#define BT_DL_8k_labelID                                    263
#define BT_DL_16k_labelID                                   264
#define BT_UL_8k_labelID                                    265
#define BT_UL_16k_labelID                                   266
#define MM_EXT_IN_labelID                                   267
#define MM_EXT_IN_L_labelID                                 268
#define MM_EXT_IN_R_labelID                                 269
#define ECHO_REF_48_16_WRAP_labelID                         270
#define ECHO_REF_48_8_WRAP_labelID                          271
#define BT_UL_16_48_WRAP_labelID                            272
#define BT_UL_8_48_WRAP_labelID                             273
#define BT_DL_48_16_WRAP_labelID                            274
#define BT_DL_48_8_WRAP_labelID                             275
#define VX_DL_16_48_WRAP_labelID                            276
#define VX_DL_8_48_WRAP_labelID                             277
#define VX_UL_48_16_WRAP_labelID                            278
#define VX_UL_48_8_WRAP_labelID                             279
#define APS_DL1_IRQs_WRAP_labelID                           280
#define APS_DL2_L_IRQs_WRAP_labelID                         281
#define APS_DL2_R_IRQs_WRAP_labelID                         282
#define ATC_NULL_BUFFER_labelID                             283
#define MEM_INIT_hal_mem_labelID                            284
#define MEM_INIT_write_mem_labelID                          285
#define MEM_INIT_regs_labelID                               286
#define GAIN_0DB_labelID                                    287
#define XinASRC_BT_UL_labelID                               288
#define IO_BT_UL_ASRC_labelID                               289
#define ASRC_BT_UL_Coefs_labelID                            290
#define ASRC_BT_UL_Alpha_labelID                            291
#define ASRC_BT_UL_VarsBeta_labelID                         292
#define ASRC_BT_UL_8k_Regs_labelID                          293
#define ASRC_BT_UL_16k_Regs_labelID                         294
#define XinASRC_BT_DL_labelID                               295
#define DL_48_8_DEC_labelID                                 296
#define DL_48_16_DEC_labelID                                297
#define BT_DL_8k_TEMP_labelID                               298
#define BT_DL_16k_TEMP_labelID                              299
#define BT_DL_8k_opp100_labelID                             300
#define BT_DL_16k_opp100_labelID                            301
#define ASRC_BT_DL_Coefs_labelID                            302
#define ASRC_BT_DL_Alpha_labelID                            303
#define ASRC_BT_DL_VarsBeta_labelID                         304
#define ASRC_BT_DL_8k_Regs_labelID                          305
#define ASRC_BT_DL_16k_Regs_labelID                         306
#define BT_DL_48_8_OPP100_WRAP_labelID                      307
#define BT_DL_48_16_OPP100_WRAP_labelID                     308
#endif/* _ABE_INITXXXX_LABELS_H_ */
