/*
 * ALSA SoC OMAP ABE driver
*
 * Author:          Laurent Le Faucheur <l-le-faucheur@ti.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */
#ifndef _ABE_TASKID_H_
#define _ABE_TASKID_H_
#define C_ABE_FW_TASK_DL1_APS_CORE                          0
#define C_ABE_FW_TASK_DL1_APS_COIL_CORE                     1
#define C_ABE_FW_TASK_DL2_L_APS_CORE                        2
#define C_ABE_FW_TASK_DL2_L_APS_COIL_CORE                   3
#define C_ABE_FW_TASK_DL2_R_APS_CORE                        4
#define C_ABE_FW_TASK_DL2_R_APS_COIL_CORE                   5
#define C_ABE_FW_TASK_ASRC_VX_DL_8                          6
#define C_ABE_FW_TASK_ASRC_VX_DL_16                         7
#define C_ABE_FW_TASK_ASRC_MM_EXT_IN                        8
#define C_ABE_FW_TASK_ASRC_VX_UL_8                          9
#define C_ABE_FW_TASK_ASRC_VX_UL_16                         10
#define C_ABE_FW_TASK_VX_UL_48_8_DEC                        11
#define C_ABE_FW_TASK_VX_UL_48_16_DEC                       12
#define C_ABE_FW_TASK_BT_DL_48_8_DEC                        13
#define C_ABE_FW_TASK_BT_DL_48_16_DEC                       14
#define C_ABE_FW_TASK_ECHO_REF_48_8_DEC                     15
#define C_ABE_FW_TASK_ECHO_REF_48_16_DEC                    16
#define C_ABE_FW_TASK_DL2_EQ                                17
#define C_ABE_FW_TASK_DL2_L_APS_IIR                         18
#define C_ABE_FW_TASK_DL2_R_APS_IIR                         19
#define C_ABE_FW_TASK_DL2_APS_EQ                            20
#define C_ABE_FW_TASK_ECHO_REF_48_16                        21
#define C_ABE_FW_TASK_ECHO_REF_48_8                         22
#define C_ABE_FW_TASK_GAIN_UPDATE                           23
#define C_ABE_FW_TASK_SideTone                              24
#define C_ABE_FW_TASK_VX_DL_8_48_LP                         25
#define C_ABE_FW_TASK_VX_DL_8_48_HP                         26
#define C_ABE_FW_TASK_VX_DL_16_48_LP                        27
#define C_ABE_FW_TASK_VX_DL_16_48_HP                        28
#define C_ABE_FW_TASK_VX_UL_48_8_LP                         29
#define C_ABE_FW_TASK_VX_UL_48_8_HP                         30
#define C_ABE_FW_TASK_VX_UL_48_16_LP                        31
#define C_ABE_FW_TASK_VX_UL_48_16_HP                        32
#define C_ABE_FW_TASK_BT_UL_8_48_LP                         33
#define C_ABE_FW_TASK_BT_UL_8_48_HP                         34
#define C_ABE_FW_TASK_BT_UL_16_48_LP                        35
#define C_ABE_FW_TASK_BT_UL_16_48_HP                        36
#define C_ABE_FW_TASK_BT_DL_48_8_LP                         37
#define C_ABE_FW_TASK_BT_DL_48_8_HP                         38
#define C_ABE_FW_TASK_BT_DL_48_16_LP                        39
#define C_ABE_FW_TASK_BT_DL_48_16_HP                        40
#define C_ABE_FW_TASK_ECHO_REF_48_8_LP                      41
#define C_ABE_FW_TASK_ECHO_REF_48_8_HP                      42
#define C_ABE_FW_TASK_ECHO_REF_48_16_LP                     43
#define C_ABE_FW_TASK_ECHO_REF_48_16_HP                     44
#define C_ABE_FW_TASK_DL1_EQ                                45
#define C_ABE_FW_TASK_DL1_APS_IIR                           46
#define C_ABE_FW_TASK_DL1_APS_EQ                            47
#define C_ABE_FW_TASK_IHF_48_96_LP                          48
#define C_ABE_FW_TASK_EARP_48_96_LP                         49
#define C_ABE_FW_TASK_DL1_GAIN                              50
#define C_ABE_FW_TASK_DL2_GAIN                              51
#define C_ABE_FW_TASK_IO_PING_PONG                          52
#define C_ABE_FW_TASK_IO_DMIC                               53
#define C_ABE_FW_TASK_IO_PDM_UL                             54
#define C_ABE_FW_TASK_IO_BT_VX_UL                           55
#define C_ABE_FW_TASK_IO_MM_UL                              56
#define C_ABE_FW_TASK_IO_MM_UL2                             57
#define C_ABE_FW_TASK_IO_VX_UL                              58
#define C_ABE_FW_TASK_IO_MM_DL                              59
#define C_ABE_FW_TASK_IO_VX_DL                              60
#define C_ABE_FW_TASK_IO_TONES_DL                           61
#define C_ABE_FW_TASK_IO_VIB_DL                             62
#define C_ABE_FW_TASK_IO_BT_VX_DL                           63
#define C_ABE_FW_TASK_IO_PDM_DL                             64
#define C_ABE_FW_TASK_IO_MM_EXT_OUT                         65
#define C_ABE_FW_TASK_IO_MM_EXT_IN                          66
#define C_ABE_FW_TASK_IO_TDM_OUT                            67
#define C_ABE_FW_TASK_IO_TDM_IN                             68
#define C_ABE_FW_TASK_DEBUG_IRQFIFO                         69
#define C_ABE_FW_TASK_EchoMixer                             70
#define C_ABE_FW_TASK_SDTMixer                              71
#define C_ABE_FW_TASK_DL1Mixer                              72
#define C_ABE_FW_TASK_DL2Mixer                              73
#define C_ABE_FW_TASK_VXRECMixer                            74
#define C_ABE_FW_TASK_ULMixer                               75
#define C_ABE_FW_TASK_VIBRA_PACK                            76
#define C_ABE_FW_TASK_VX_DL_8_48_0SR                        77
#define C_ABE_FW_TASK_VX_DL_16_48_0SR                       78
#define C_ABE_FW_TASK_BT_UL_8_48_0SR                        79
#define C_ABE_FW_TASK_BT_UL_16_48_0SR                       80
#define C_ABE_FW_TASK_IHF_48_96_0SR                         81
#define C_ABE_FW_TASK_EARP_48_96_0SR                        82
#define C_ABE_FW_TASK_AMIC_SPLIT                            83
#define C_ABE_FW_TASK_DMIC1_SPLIT                           84
#define C_ABE_FW_TASK_DMIC2_SPLIT                           85
#define C_ABE_FW_TASK_DMIC3_SPLIT                           86
#define C_ABE_FW_TASK_VXREC_SPLIT                           87
#define C_ABE_FW_TASK_BT_UL_SPLIT                           88
#define C_ABE_FW_TASK_MM_SPLIT                              89
#define C_ABE_FW_TASK_DL2_APS_SPLIT                         90
#define C_ABE_FW_TASK_VIBRA_SPLIT                           91
#define C_ABE_FW_TASK_MM_EXT_IN_SPLIT                       92
#define C_ABE_FW_TASK_ECHO_REF_SPLIT                        93
#define C_ABE_FW_TASK_MIC4_SPLIT                            94
#define C_ABE_FW_TASK_VX_UL_ROUTING                         95
#define C_ABE_FW_TASK_MM_UL2_ROUTING                        96
#define C_ABE_FW_TASK_VIBRA1                                97
#define C_ABE_FW_TASK_VIBRA2                                98
#define C_ABE_FW_TASK_BT_UL_16_48                           99
#define C_ABE_FW_TASK_BT_UL_8_48                            100
#define C_ABE_FW_TASK_BT_DL_48_16                           101
#define C_ABE_FW_TASK_BT_DL_48_8                            102
#define C_ABE_FW_TASK_VX_DL_16_48                           103
#define C_ABE_FW_TASK_VX_DL_8_48                            104
#define C_ABE_FW_TASK_VX_UL_48_16                           105
#define C_ABE_FW_TASK_VX_UL_48_8                            106
#define C_ABE_FW_TASK_DBG_SYNC                              107
#define C_ABE_FW_TASK_APS_DL1_IRQs                          108
#define C_ABE_FW_TASK_APS_DL2_L_IRQs                        109
#define C_ABE_FW_TASK_APS_DL2_R_IRQs                        110
#define C_ABE_FW_TASK_AMIC_96_48_LP                         111
#define C_ABE_FW_TASK_DMIC1_96_48_LP                        112
#define C_ABE_FW_TASK_DMIC2_96_48_LP                        113
#define C_ABE_FW_TASK_DMIC3_96_48_LP                        114
#define C_ABE_FW_TASK_INIT_FW_MEMORY                        115
#define C_ABE_FW_TASK_DEBUGTRACE_VX_ASRCs                   116
#define C_ABE_FW_TASK_ASRC_BT_UL_8                          117
#define C_ABE_FW_TASK_ASRC_BT_UL_16                         118
#define C_ABE_FW_TASK_ASRC_BT_DL_8                          119
#define C_ABE_FW_TASK_ASRC_BT_DL_16                         120
#define C_ABE_FW_TASK_BT_DL_48_8_HP_OPP100                  121
#define C_ABE_FW_TASK_BT_DL_48_16_HP_OPP100                 122
#define C_ABE_FW_TASK_BT_DL_48_8_OPP100                     123
#define C_ABE_FW_TASK_BT_DL_48_16_OPP100                    124
#endif/* _ABE_TASKID_H_ */
